<?php
namespace Modules\Cad_estados\Models;
use App\Models\BaseModel;

class Model_cad_estados extends BaseModel {
	public function getCadastros() {
		$table 		= 'cad_estados';
		$builder 	= $this->db->table($table);
		$query 		= $builder->get()->getResult();

		return $query;
	}

	public function cadastrando() {
		$this->db->table('cad_estados')->insert($_POST);
		return $this->db->insertID();
	}

	public function alterar($id) {
		$table = 'cad_estados';
		$builder = $this->db->table($table);

		$builder->where('id', $id);

		$query = $builder->get();

		return $query->getRow();
	}

	public function alterando($id) {
		$table = 'cad_estados';
		$builder = $this->db->table($table);

		$builder->set('data_alteracao', date("Y-m-d H:i:s"));
		$builder->where('id', $id);
		$builder->update($_POST);

		return $id;
	}

	public function deletar($id) {
		$this->db->table('cad_estados')->where('id', $id)->delete();
	}
}